import request from '@/utils/request'

// 查询区域名称列表
export function listRegion(data) {
  return request({
    url: '/tRegion/list',
    method: 'post',
    data: data
  })
}

// 查询区域名称详细
export function getRegion(id) {
  return request({
    url: '/tRegion/' + id,
    method: 'get'
  })
}

// 新增区域名称
export function addRegion(data) {
  return request({
    url: '/tRegion',
    method: 'post',
    data: data
  })
}

// 修改区域名称
export function updateRegion(data) {
  return request({
    url: '/tRegion',
    method: 'put',
    data: data
  })
}

// 删除区域名称
export function delRegion(id) {
  return request({
    url: '/tRegion/' + id,
    method: 'delete'
  })
}

// 导出区域名称
export function exportRegion(query) {
  return request({
    url: '/tRegion/export',
    method: 'get',
    params: query
  })
}
